> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a contact list by its unique ID

> For a given portal, return a contact list by its unique ID. This returns only the metadata for the list; see the contacts endpoint for getting the contact records in the list.



## OpenAPI

````yaml specs/legacy/v1/crm-lists-v1-contacts.json GET /contacts/v1/lists/{list_id}
openapi: 3.0.0
info:
  title: CRM Contact Lists API v1
  version: 1.0.0
  description: Legacy CRM Contact Lists API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /contacts/v1/lists/{list_id}:
    get:
      summary: Get a contact list by its unique ID
      description: >-
        For a given portal, return a contact list by its unique ID. This returns
        only the metadata for the list; see the contacts endpoint for getting
        the contact records in the list.
      operationId: getcontactsv1listslistid
      parameters:
        - name: list_id
          in: path
          required: true
          description: Unique identifier for the list that you're looking for.
          schema:
            type: integer
      responses:
        '200':
          description: Successful response with contact list details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactList'
components:
  schemas:
    ContactList:
      type: object
      properties:
        listId:
          type: integer
        name:
          type: string
        dynamic:
          type: boolean
        listType:
          type: string
          enum:
            - STATIC
            - DYNAMIC
        portalId:
          type: integer
        createdAt:
          type: integer
        updatedAt:
          type: integer
        internalListId:
          type: integer
        deleteable:
          type: boolean
        metaData:
          type: object
          properties:
            processing:
              type: string
            size:
              type: integer
            error:
              type: string
            lastProcessingStateChangeAt:
              type: integer
            lastSizeChangeAt:
              type: integer
        filters:
          type: array
          items:
            type: array
            items:
              type: object

````